=== debian/changelog ===
kdiff3 (0.9.95-7build3) oneiric; urgency=low

  * Rebuild for libkonq5abi1 transition.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 08 Jun 2011 13:03:08 +0200

kdiff3 (0.9.95-7build2) natty; urgency=low

  * Rebuild again for libkonq5a transition since armel got missed the first
    time

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Dec 2010 22:13:10 -0500

kdiff3 (0.9.95-7build1) natty; urgency=low

  * No change, rebuild for libkonq5a transition

 -- Kristóf Kiszel <ulysses@kubuntu.org>  Wed, 03 Nov 2010 16:42:43 +0100

kdiff3 (0.9.95-7) unstable; urgency=low

  * I officially do declare that Filipus Klutiero and Filipus Klutiero
    are _not_ different people (see last changelog entry).
  * Made compilable for KDE 4.5, thanks to Adrian von Bidder (closes: #599806)
  * Standards version now 3.9.1 (no changes)
  * Doc package Replaces/Breaks old kdiff3 version instead of "Conflicts".

 -- Eike Sauer <eike@debian.org>  Tue, 12 Oct 2010 00:05:00 +0200

kdiff3 (0.9.95-6) unstable; urgency=low

  * Documentation was automatically compressed and therefore unusably
    (what a strange default...), thanks to Filipus Klutiero for pointing
    out and svuorela for his fixing help. (closes: #585949)
  * "Qt" instead of "QT" in short description, thanks to Filipus Klutiero.
    Two consecutive bug numbers by different people - cool. :o)
    (closes: #585948)
  * Added categories to .desktop file (thanks to svuorela for pointing out)
  * Standards version now 3.8.4 (no changes)

 -- Eike Sauer <eike@debian.org>  Tue, 15 Jun 2010 22:00:00 +0200

kdiff3 (0.9.95-5) unstable; urgency=low

  * KDE changed its doc path, so I had to do the same (closes: #584155)

 -- Eike Sauer <eike@debian.org>  Tue, 03 Jun 2010 20:15:00 +0200

kdiff3 (0.9.95-4) unstable; urgency=low

  * New year's edition, now really incorporating Jordi Pujol's
    bug fix for the konqueror context menu

 -- Eike Sauer <eike@debian.org>  Tue, 01 Jan 2010 18:00:00 +0100

kdiff3 (0.9.95-3) unstable; urgency=low

  * Call dh_icons for our gnome users (thanks to Ori Avtalion for the hint)
  * Let's make lintian at least as happy as Ubuntu. ;o)
    Fixed Source section, misc:depends, typos.
  * Context menu call to kdiff3 doesn't block konqueror anymore,
    thanks to Jordi Pujol (closes: #562185)
  * Standards version now 3.8.3 (no changes)

 -- Eike Sauer <eike@debian.org>  Tue, 29 Dec 2009 14:00:00 +0100

kdiff3 (0.9.95-2) unstable; urgency=low

  * KDE 4 goes to unstable - KDiff3 goes along
  * Standards version now 3.8.1 (no changes)

 -- Eike Sauer <eike@debian.org>  Mon, 06 Apr 2009 20:00:00 +0200

kdiff3 (0.9.95-1) experimental; urgency=low

  * New upstream release
    - Upstream included my changes for the QT version 
      and provided a script to generate QT language packs.

 -- Eike Sauer <eike@debian.org>  Sat, 07 Mar 2009 14:16:09 +0100

kdiff3 (0.9.94-3) experimental; urgency=low

  * Improved package descriptions

 -- Eike Sauer <eike@debian.org>  Tue, 28 Feb 2009 22:00:00 +0100

kdiff3 (0.9.94-2) experimental; urgency=low

  * Build QT version as well, resulting in an alternative package 
    not depending on KDE

 -- Eike Sauer <eike@debian.org>  Tue, 21 Feb 2009 20:00:00 +0100

kdiff3 (0.9.94-1) experimental; urgency=low

  * New upstream release

 -- Eike Sauer <eike@debian.org>  Tue, 20 Jan 2009 23:26:09 +0100

kdiff3 (0.9.93-3-1) experimental; urgency=low

  * New upstream release
    - Initial release for KDE 4. (Closes: #479316)
    - Thanks to Fathi Boudra for providing a first functional version 
      and calling my attention to cdbs!
  * Changed build from pure debhelper to cdbs, 
    resulting in a much cleaner debian/rules file.
  * Debhelper compatibility level changed from 4 to 7,
    but just to make it find my files automatically.

 -- Eike Sauer <eike@debian.org>  Tue, 14 Jan 2009 20:00:00 +0100

kdiff3 (0.9.92-3) unstable; urgency=low

  * Standards version now 3.8.0
  * Fixed kdiff3-doc section
  * Removed empty directory /usr/share/applnk
  * Removed extra leading whitespace from doc-base
  * Fixed doc-base section
 
 -- Eike Sauer <eike@debian.org>  Tue, 18 Dec 2008 20:00:00 +0100

kdiff3 (0.9.92-2) unstable; urgency=low

  * Include konqueror plugin in package (closes Ubuntu bug no. 145026)
  * Split package into kdiff3 and kdiff3-doc
 
 -- Eike Sauer <eike@debian.org>  Tue, 11 Nov 2007 20:00:00 +0100

kdiff3 (0.9.92-1) unstable; urgency=low

  * New upstream release
  	- now distinguishes between empty and non-existent files in "full analysis" 
  		mode (closes: #417086)
  	- fixed includes for gcc 4.3, thanks to Martin Michlmayr (closes: #417312)
  	Thanks to upstream for the Debian bug handling! :o)
 
 -- Eike Sauer <eike@debian.org>  Tue, 17 Apr 2007 16:18:32 +0200

kdiff3 (0.9.91-1) unstable; urgency=low

  * New upstream release
  * The I'm-a-DD-release...!

 -- Eike Sauer <eike@debian.org>  Sun, 18 Mar 2007 23:33:56 +0100

kdiff3 (0.9.90-5) unstable; urgency=low

  * Changed, moved and registered .desktop file (closes: #396790)
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 30 Nov 2006 20:15:00 +0200

kdiff3 (0.9.90-4) unstable; urgency=low

  * Added AM_MAINTAINER_MODE
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 12 Oct 2006 14:00:00 +0200

kdiff3 (0.9.90-3) unstable; urgency=low

  * More autotooling stuff...
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 02 Oct 2006 16:30:00 +0200

kdiff3 (0.9.90-2) unstable; urgency=low

  * Really reduced dependencies (as promised in 0.9.89-1) this time...
  * manpage updated
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 27 Sep 2006 17:40:00 +0200

kdiff3 (0.9.90-1) unstable; urgency=low

  * New upstream release
  * Standards version now 3.7.2

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 30 May 2006 10:16:35 +0200

kdiff3 (0.9.89-1) unstable; urgency=low

  * New upstream release
  * Reduced dependencies from 27 to 5 packages...
    (see http://lists.debian.org/debian-devel-announce/2005/11/msg00016.html)


