=== debian/control ===
Source: kdiff3
Priority: optional
Section: kde
Maintainer: Eike Sauer <eike@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, docbook-to-man, qt3-dev-tools-compat
Standards-Version: 3.9.1
Homepage: http://kdiff3.sourceforge.net
Vcs-Svn: https://kdiff3.svn.sourceforge.net/svnroot/kdiff3/trunk/
Vcs-Browser: http://kdiff3.svn.sourceforge.net/viewvc/kdiff3/trunk/

Package: kdiff3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdiff3-doc
Conflicts: kdiff3-qt
Description: compares and merges 2 or 3 files or directories
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.
 .
 This is the standard version of KDiff3, highly integrated into KDE.
 It has got KIO support (allowing for remote access of files and
 direct access to files in compressed archives) and integration into
 konqueror's context menu. There's also a stripped-down version called
 kdiff3-qt not depending on the KDE libraries.

Package: kdiff3-qt
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdiff3-doc
Conflicts: kdiff3
Description: compares and merges 2 or 3 files or directories -  Qt version
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.
 .
 This version of KDiff3 is stripped-down so that it doesn't depend 
 on the KDE libraries. The package "kdiff3" contains the full-featured 
 version of the program.

Package: kdiff3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: kdiff3 | kdiff3-qt
Replaces: kdiff3 (<= 0.9.92-1)
Breaks: kdiff3 (<= 0.9.92-1)
Description: documentation for kdiff3
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. This package contains the 
 HTML documentation.
