=== debian/changelog ===
kdiff3 (0.9.96-4) unstable; urgency=low

  * Fixed lintian sutff: 
    - lintian override about versioned dependency for debhelper
    - build dependency for dpkg-dev
    - additional (redundant) licence paragraph
  * Preset text selected when reentering find dialog
    
 -- Eike Sauer <eike@debian.org>  Sat, 28 May 2012 20:00:00 +0200

kdiff3 (0.9.96-3) unstable; urgency=low

  * Dropped dependency on qt3-dev-tools-compat (closes: #673455)
  * Standards version now 3.9.3
  * Machine readable debian/copyright file
  * Hardening flags (AFAICT, the lintian warnings on this are wrong)
    
 -- Eike Sauer <eike@debian.org>  Sat, 19 May 2012 15:00:00 +0200

kdiff3 (0.9.96-2) unstable; urgency=low

  * Renamed "debian" patch (closes: #643175)
  * Standards version now 3.9.2 (no changes)
  * My old mail address is gone (after 17 years *sigh*), 
    replaced it where appropriate
    
 -- Eike Sauer <eike@debian.org>  Tue, 27 Sep 2011 20:00:00 +0200

kdiff3 (0.9.96-1) unstable; urgency=low

  * New upstream release (closes: #620050, #614834)
    Several patches have been taken by upstream
    
 -- Eike Sauer <eike@debian.org>  Mon, 05 Sep 2011 20:07:54 +0200
