=== debian/changelog ===
kdiff3 (0.9.97-3) unstable; urgency=low

  * Included upstream fix for merge saving bug (closes: #703174).
  * No more using docbook-to-man, which has been orphaned years ago.

 -- Eike Sauer <eike@debian.org>  Sun, 16 Jun 2013 13:05:00 +0200

kdiff3 (0.9.97-2) unstable; urgency=low

  * Path to help file in kdiff3-qt fixed (closes: #700424)
    (doesn't look beautiful, but at least there's some text...)
  * Updated standard version to 3.9.4. No changes needed.

 -- Eike Sauer <eike@debian.org>  Sun, 01 Mar 2013 11:42:00 +0100

kdiff3 (0.9.97-1) unstable; urgency=low

  * New upstream release
  * Upstream has accepted and improved my find dialog patch

 -- Eike Sauer <eike@debian.org>  Sat, 26 Jan 2013 11:54:44 +0100
