=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: kde
 Maintainer: Eike Sauer <eike@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, docbook-to-man, qt4-dev-tools, libicu-dev
-Standards-Version: 3.9.3
+Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, qt4-dev-tools, libicu-dev
+Standards-Version: 3.9.4
 Homepage: http://kdiff3.sourceforge.net
 Vcs-Svn: https://kdiff3.svn.sourceforge.net/svnroot/kdiff3/trunk/
 Vcs-Browser: http://kdiff3.svn.sourceforge.net/viewvc/kdiff3/trunk/
