=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,6 @@
 	# clean QT version
 	qmake-qt4 -nocache src-QT4/kdiff3.pro -o src-QT4/Makefile
 	make -C src-QT4 distclean
-	# remove generated man page
-	rm -f debian/kdiff3.1
-
-build/kdiff3::
-	# generate man page
-	/usr/bin/docbook-to-man debian/kdiff3.sgml > debian/kdiff3.1
 
 build/kdiff3-qt::
 	qmake-qt4 -nocache src-QT4/kdiff3.pro -o src-QT4/Makefile
@@ -36,7 +30,7 @@
 install/kdiff3::
 	# install man page
 	mkdir --parents $(DEB_DESTDIR)usr/share/man/man1
-	cp debian/kdiff3.1 $(DEB_DESTDIR)usr/share/man/man1/kdiff3.1
+	cp doc/en/kdiff3.1 $(DEB_DESTDIR)usr/share/man/man1/kdiff3.1
 	# update gnome's icon cache
 	dh_icons --package kdiff3 --tmpdir=debian/tmp
