=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt)
