=== debian/changelog ===
kdiff3 (0.9.98-4) unstable; urgency=low

  * Removed vcs-* info from debian/control. 
    It didn't point to package source.
  * Removed libkonq5-dev from Build-Depends (closes: #887478)
  * Fixed minor stuff reported by cme
  * kdiff3-doc marked as Multi-Arch: foreign

 -- Eike Sauer <eike@debian.org>  Thu, 25 Jan 2018 17:28:00 +0100

kdiff3 (0.9.98-3) unstable; urgency=low

  * Removed usage of MAX_PATH which doesn't exist on hurd (closes: #823042)
  * Fixed lintian waring dep5-copyright-license-name-not-unique
  * Use UTF-8 for documentation generation, no matter the system's locale.
    Improvement in reproducible builds.
  * Updated standard version to 3.9.8. No changes needed.

 -- Eike Sauer <eike@debian.org>  Sat, 07 May 2016 17:42:00 +0200

kdiff3 (0.9.98-2) unstable; urgency=low

  * Workaround for differences not showing in status bar after 
    start (closes: #757206).
  * Fixed crash I was getting by comparing two completely different files
  * Finally got rid of the lintian hardening warning for kdiff3-qt
  * Updated standard version to 3.9.6. No changes needed.

 -- Eike Sauer <eike@debian.org>  Sun, 26 Jul 2015 12:31:00 +0200

kdiff3 (0.9.98-1) unstable; urgency=low

  * New upstream release
  * Got rid of many unnecessary depends thanks to patch from 
    Pino Toscano (closes: #749460).
  * Included patch from Pino Toscano to enable parallel build 
    (closes: #749459).
  * We need to build or html doc files on our own now.

 -- Eike Sauer <eike@debian.org>  Sun, 03 Aug 2014 17:37:00 +0200
