=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kdiff3
+Maintainer: Eike Sauer <eike@debian.org>
+Section: kde
 Priority: optional
-Section: kde
-Maintainer: Eike Sauer <eike@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, qt4-dev-tools, libicu-dev
-Standards-Version: 3.9.4
+Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), qt4-dev-tools, libicu-dev
+Standards-Version: 3.9.8
 Homepage: http://kdiff3.sourceforge.net
-Vcs-Svn: https://kdiff3.svn.sourceforge.net/svnroot/kdiff3/trunk/
-Vcs-Browser: http://kdiff3.svn.sourceforge.net/viewvc/kdiff3/trunk/
 
 Package: kdiff3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: kdiff3-doc
 Conflicts: kdiff3-qt
 Description: compares and merges 2 or 3 files or directories
@@ -29,7 +28,8 @@
 Package: kdiff3-qt
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: kdiff3-doc
 Conflicts: kdiff3
 Description: compares and merges 2 or 3 files or directories -  Qt version
@@ -45,11 +45,12 @@
 
 Package: kdiff3-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: kdiff3 | kdiff3-qt
+Breaks: kdiff3 (<= 0.9.92-1)
 Replaces: kdiff3 (<= 0.9.92-1)
-Breaks: kdiff3 (<= 0.9.92-1)
 Description: documentation for kdiff3
  KDiff3 compares two or three input files and shows the differences
  line by line and character by character. This package contains the
