=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 # ---------------------------------------------------
 
 DEB_COMPRESS_EXCLUDE := ".docbook" 
+DEB_BUILD_PARALLEL = 1
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
@@ -25,7 +27,7 @@
 
 build/kdiff3-qt::
 	qmake-qt4 -nocache src-QT4/kdiff3.pro -o src-QT4/Makefile
-	make -C src-QT4 prefix=$(CURDIR)/debian/kdiff3-qt
+	make $(DEB_MAKE_PARALLEL) -C src-QT4 prefix=$(CURDIR)/debian/kdiff3-qt
 
 install/kdiff3::
 	# install man page
@@ -42,6 +44,8 @@
 	dh_icons --package kdiff3-qt --tmpdir=debian/tmp
 	
 install/kdiff3-doc::
-	# install HTML help
+	# generate HTML help
 	mkdir --parents $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
-	cp doc/en/*.html $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
+	cp doc/en/index.docbook $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
+	# use UTF-8 for documentation generation, no matter the system's locale
+	cd  $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/ && LC_ALL=C.UTF-8 meinproc4 index.docbook
