=== src/icons/CMakeLists.txt ===
ecm_install_icons(
  ICONS
    16-apps-kdiff3.png
    22-apps-kdiff3.png
    32-apps-kdiff3.png
    48-apps-kdiff3.png
    64-apps-kdiff3.png
    128-apps-kdiff3.png
    256-apps-kdiff3.png
    sc-apps-kdiff3.svgz
  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor
)
