=== debian/changelog ===
kdiff3 (1.7.90-3) unstable; urgency=low

  * Hopefully did fix lib atomic problem now.

 -- Eike Sauer <eike@debian.org>  Wed, 23 Jan 2019 20:25:00 +0100

kdiff3 (1.7.90-2) unstable; urgency=low

  * Fixed file conflict between kdiff3 and kdiff3-doc - sorry! 
    (Closes: #919310)
  * Fixed various warnings (lintian, multi-arch, watch file)
  * Trying to link with lib atomic for some 32 bit architectures.
    Not yet closing bug #919406 as I'm not sure it will work.

 -- Eike Sauer <eike@debian.org>  Sat, 19 Jan 2019 12:12:00 +0100

kdiff3 (1.7.90-1) unstable; urgency=low

  * KDiff3 has been orphaned by Joachim Eibl - thanks for writing
    this great program and maintaining it for over a decade!
  * It has been adopted by KDE, in particular Michael Reeves
    - thanks for keeping KDiff3 alive!
  * ported to KDE 5/QT5 by Michael Reeves (closes: #874949)
  * The QT only version has been "lost in translation".
  * works now in KDE 5 dolphin (closes: #801680)

 -- Eike Sauer <eike@debian.org>  Tue, 08 Jan 2019 11:17:00 +0100
