=== debian/control ===
Source: kdiff3
Maintainer: Eike Sauer <eike@debian.org>
Section: kde
Priority: optional
Build-Depends: cdbs, debhelper, docbook-to-man, cmake, extra-cmake-modules, qtbase5-dev, libkf5coreaddons-dev, libkf5crash-dev, libkf5doctools-dev, libkf5iconthemes-dev, libkf5i18n-dev, libkf5parts-dev
Standards-Version: 3.9.8
Homepage: http://kdiff3.sourceforge.net

Package: kdiff3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: kdiff3-doc
Breaks: kdiff3-qt (<<1.0)
Replaces: kdiff3-qt (<<1.0)
Description: compares and merges 2 or 3 files or directories
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.
 .
 This is the standard version of KDiff3, highly integrated into KDE.
 It has got KIO support (allowing for remote access of files and
 direct access to files in compressed archives) and integration into
 konqueror's context menu. There's also a stripped-down version called
 kdiff3-qt not depending on the KDE libraries.

Package: kdiff3-qt
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: oldlibs
Recommends: kdiff3 (>=1.7.90-2)
Description: transistional package - QT version is replaced by KDE version 'kdiff3'
 This is a transitional package. It can safely be removed.
 .
 This version of KDiff3 was stripped-down so it didn't depend on the KDE
 libraries. It is replaced by the full-featured version of the program,
 "kdiff3".

Package: kdiff3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: kdiff3
Breaks: kdiff3 (<= 1.7.90-1)
Replaces: kdiff3 (<= 1.7.90-1)
Description: documentation for kdiff3
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. This package contains the 
 HTML documentation.
