=== debian/changelog ===
kdiff3 (1.8.01-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:03 +0100

kdiff3 (1.8.01-1) unstable; urgency=low

  * New upstream release (this time a real tagged release)
  * Upstream fixed directory handling (closes: #920976)
  * Applied patch versus crash by Bernhard Übelacker (closes: #926408)
  * Updated control homepage field (closes: #927966)

 -- Eike Sauer <eike@debian.org>  Sat, 06 Jul 2019 13:10:00 +0200
