=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: cdbs, debhelper, docbook-to-man, cmake, extra-cmake-modules, qtbase5-dev, libkf5coreaddons-dev, libkf5crash-dev, libkf5doctools-dev, libkf5iconthemes-dev, libkf5i18n-dev, libkf5parts-dev
 Standards-Version: 3.9.8
-Homepage: http://kdiff3.sourceforge.net
+Homepage: https://kde.org/applications/development/kdiff3
 
 Package: kdiff3
 Architecture: any
